Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Static Public Attributes | Protected Member Functions | Protected Attributes | List of all members
Valuator Class Reference
Inheritance diagram for Valuator:

## Public Member Functions
| __init__ (self, parent=None, **kw)
| addPropertyToDialog (self, property, pDict)
| addValuatorMenuEntries (self)
| addValuatorPropertiesToDialog (self)
| createValuator (self)
| get (self)
| mouseReset (self, event)
| packValuator (self)
| reset (self)
| set (self, value, fCommand=1)
| setEntry (self, value, fCommand=1)
| setEntryFormat (self)
| setLabel (self)
| setState (self)
| validateEntryInput (self, event)
| zero (self)

## Public Attributes
| adjustedValue = value
str | entryFormat = "%." + "%df" % self['numDigits']
int | fInit = 1
| propertyDict

## Static Public Attributes
int | deadband = 5
float | sfBase = 3.0
int | sfDist = 7

## Protected Member Functions
| _mouseDown (self)
| _mouseUp (self)
| _popupPropertiesDialog (self)
| _popupValuatorMenu (self, event)
| _postCallback (self)
| _preCallback (self)

## Protected Attributes
| _label

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | parent = None,
|  | ** | kw )

## Member Function Documentation

## ◆ _mouseDown()

_mouseDown | ( |  | self | ) |
| protected

     Function to execute at start of mouse interaction

## ◆ _mouseUp()

_mouseUp | ( |  | self | ) |
| protected

     Function to execute at end of mouse interaction

## ◆ _popupPropertiesDialog()

_popupPropertiesDialog | ( |  | self | ) |
| protected

## ◆ _popupValuatorMenu()

_popupValuatorMenu | ( |  | self,
|  |  | event )
| protected

## ◆ _postCallback()

_postCallback | ( |  | self | ) |
| protected

## ◆ _preCallback()

_preCallback | ( |  | self | ) |
| protected

## ◆ addPropertyToDialog()

addPropertyToDialog | ( |  | self,
|  |  | property,
|  |  | pDict )

## ◆ addValuatorMenuEntries()

addValuatorMenuEntries | ( |  | self | ) |

     Function used by subclass to add menu entries to popup menu

Reimplemented in Dial.

## ◆ addValuatorPropertiesToDialog()

addValuatorPropertiesToDialog | ( |  | self | ) |

     Function used by subclass to add properties to property dialog

Reimplemented in Dial.

## ◆ createValuator()

createValuator | ( |  | self | ) |

     Function used by subclass to create valuator geometry

Reimplemented in Dial, Floater, and Slider.

## ◆ get()

get | ( |  | self | ) |

     Return current widget value

## ◆ mouseReset()

mouseReset | ( |  | self,
|  |  | event )

    Reset valuator to resetValue

## ◆ packValuator()

packValuator | ( |  | self | ) |

     Function used by subclass to pack widget

Reimplemented in Dial, Floater, and Slider.

## ◆ reset()

reset | ( |  | self | ) |

    self.reset()
    Reset valuator to reset value

## ◆ set()

set | ( |  | self,
|  |  | value,
|  |  | fCommand = 1 )

    Update widget's value by setting valuator, which will in
    turn update the entry.  fCommand flag (which is passed to the
    valuator as commandData, which is then passed in turn to
    self.setEntry) controls command execution.

## ◆ setEntry()

setEntry | ( |  | self,
|  |  | value,
|  |  | fCommand = 1 )

    Update value displayed in entry, fCommand flag controls
    command execution

## ◆ setEntryFormat()

setEntryFormat | ( |  | self | ) |

    Change the number of significant digits in entry

## ◆ setLabel()

setLabel | ( |  | self | ) |

     Update label's text

## ◆ setState()

setState | ( |  | self | ) |

     Enable/disable widget

## ◆ validateEntryInput()

validateEntryInput | ( |  | self,
|  |  | event )

     Check validity of entry and if valid pass along to valuator

## ◆ zero()

zero | ( |  | self | ) |

    self.zero()
    Set valuator to zero

## Member Data Documentation

## ◆ _label

_label
| protected

## ◆ adjustedValue

adjustedValue = value

## ◆ deadband

int deadband = 5
| static

## ◆ entryFormat

str entryFormat = "%." + "%df" % self['numDigits']

## ◆ fInit

int fInit = 1

## ◆ propertyDict

propertyDict

## ◆ sfBase

float sfBase = 3.0
| static

## ◆ sfDist

int sfDist = 7
| static